Does anyone help me to install with Portland Group Compilers

Open discussion for MAGMA

Does anyone help me to install with Portland Group Compilers

Postby bsb3166 » Mon Jul 25, 2011 12:37 pm

Does anyone help me to install with Portland Group Compilers? How to write the specific make.inc for pgf90/pgfortran and pgcc?

My project which would use magma library and some magma's mod files is cuda fortran and mpi based. It has to use pgfortran which is Portland Group Compilers. When I use the magam.mod file which is under the MAGMA include directory and compiled by intel compilers in my project, an error info "PGF90-F-0004-Corrupt or Old Module file ../include/magma.mod (testing_cgetrf_f.f: 14)" occur. I thought I might need to install the magma with Portland Group compilers. But I could not transfer those options for the compiler from intel compiler to Portland Group compiler. Really needs some help. Thank you very much.
bsb3166
 
Posts: 8
Joined: Mon Jul 25, 2011 12:28 pm

Re: Does anyone help me to install with Portland Group Compi

Postby bsb3166 » Thu Aug 04, 2011 4:09 pm

Dear Stan,

Do you know anything about install Magma with portland group compilers? I can't get everything passed. Could you help me with that?

Thank you very much.
bsb3166
 
Posts: 8
Joined: Mon Jul 25, 2011 12:28 pm


Return to User discussion

Who is online

Users browsing this forum: Google [Bot], Yahoo [Bot] and 1 guest

cron